Rapid7 Vulnerability & Exploit Database

GTB Central Console: CVE-2024-22107: Command Injection

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

GTB Central Console: CVE-2024-22107: Command Injection

Severity
8
CVSS
(AV:N/AC:L/Au:M/C:C/I:C/A:C)
Published
02/02/2024
Created
05/02/2024
Added
05/02/2024
Modified
05/03/2024

Description

An issue was discovered in GTB Central Console 15.17.1-30814.NG. The method systemSettingsDnsDataAction at /opt/webapp/src/AppBundle/Controller/React/SystemSettingsController.php is vulnerable to command injection via the /old/react/v1/api/system/dns/data endpoint. An authenticated attacker can abuse it to inject an arbitrary command and compromise the platform.

Solution(s)

  • gtb-central-console-update-to-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;